【活用ガイド】

JVNDB-2015-001596

Samba の smbd の Netlogon サーバの実装における任意のコードを実行される脆弱性

概要

Samba の smbd の Netlogon サーバの実装は、初期化されていないスタックポインタ上で解放の操作を実行するため、任意のコードを実行される脆弱性が存在します。

補足情報 : CWE による脆弱性タイプは、CWE-17: Code (コード) と識別されています。
http://cwe.mitre.org/data/definitions/17.html
CVSS による深刻度 (CVSS とは?)

基本値: 10.0 (危険) [NVD値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 全面的
  • 完全性への影響(I): 全面的
  • 可用性への影響(A): 全面的

影響を受けるシステム


Novell
  • SUSE Linux Enterprise Software Development Kit 11 SP3
  • SUSE Linux Enterprise Software Development Kit 12
  • SUSE Linux Enterprise Desktop 11 SP3
  • SUSE Linux Enterprise Desktop 12
  • SUSE Linux Enterprise Server 11 SP3
  • SUSE Linux Enterprise Server 11 SP3 for VMware
  • SUSE Linux Enterprise Server 12
Samba Project
  • Samba 3.5.x
  • Samba 3.6.25 未満の 3.6.x
  • Samba 4.0.25 未満の 4.0.x
  • Samba 4.1.17 未満の 4.1.x
  • Samba 4.2.0rc5 未満の 4.2.x
Ubuntu
  • Ubuntu 12.04 LTS
  • Ubuntu 14.04 LTS
  • Ubuntu 14.10
ヒューレット・パッカード
  • HP Server Automation ソフトウェア v10.00
  • HP Server Automation ソフトウェア v10.01
  • HP Server Automation ソフトウェア v10.02
  • HP Server Automation ソフトウェア v10.10
  • HP Server Automation ソフトウェア v10.20
  • HP Server Automation ソフトウェア v9.14
  • HP Server Automation ソフトウェア v9.15
  • HP Server Automation ソフトウェア v9.16
レッドハット
  • Red Hat Storage Server 2.1
  • Red Hat Storage Server 3.0
  • Red Hat Enterprise Linux (v. 5 server)
  • Red Hat Enterprise Linux Desktop (v. 5 client)
  • Red Hat Enterprise Linux Desktop (v. 6)
  • Red Hat Enterprise Linux Desktop (v. 7)
  • Red Hat Enterprise Linux EUS (v. 5.9.z server)
  • Red Hat Enterprise Linux HPC Node (v. 6)
  • Red Hat Enterprise Linux HPC Node (v. 7)
  • Red Hat Enterprise Linux Long Life (v. 5.6 server)
  • Red Hat Enterprise Linux Long Life (v. 5.9 server)
  • Red Hat Enterprise Linux Server (v. 6)
  • Red Hat Enterprise Linux Server (v. 7)
  • Red Hat Enterprise Linux Server AUS (v. 6.4)
  • Red Hat Enterprise Linux Server AUS (v. 6.5)
  • Red Hat Enterprise Linux Server EUS (v. 6.4.z)
  • Red Hat Enterprise Linux Server EUS (v. 6.5.z)
  • Red Hat Enterprise Linux Server EUS (v. 6.6.z)
  • Red Hat Enterprise Linux Workstation (v. 6)
  • Red Hat Enterprise Linux Workstation (v. 7)
  • RHEL Desktop Workstation (v. 5 client)

想定される影響

第三者により、 ServerPasswordSet RPC API を使用する巧妙に細工された Netlogon パケットを介して、任意のコードを実行される可能性があります。
対策

ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。。
ベンダ情報

Debian Gentoo Linux Novell Samba Project Ubuntu オラクル ヒューレット・パッカード レッドハット
CWEによる脆弱性タイプ一覧  CWEとは?

  1. その他(CWE-Other) [NVD評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2015-0240
参考情報

  1. National Vulnerability Database (NVD) : CVE-2015-0240
  2. 関連文書 : MGASA-2015-0084
更新履歴

[2015年02月25日]
  掲載
[2015年03月04日]
  影響を受けるシステム:ベンダ情報の追加に伴い内容を更新
  ベンダ情報:Debian (DSA-3171) を追加
  ベンダ情報:Gentoo Linux (GLSA 201502-15) を追加
  ベンダ情報:Ubuntu (USN-2508-1) を追加
  ベンダ情報:レッドハット (RHSA-2015:0251) を追加
  ベンダ情報:レッドハット (RHSA-2015:0252) を追加
  ベンダ情報:レッドハット (RHSA-2015:0253) を追加
  ベンダ情報:レッドハット (RHSA-2015:0255) を追加
  ベンダ情報:レッドハット (RHSA-2015:0249) を追加
  ベンダ情報:レッドハット (RHSA-2015:0256) を追加
  ベンダ情報:レッドハット (RHSA-2015:0257) を追加
  ベンダ情報:レッドハット (RHSA-2015:0250) を追加
  ベンダ情報:レッドハット (Samba vulnerability (CVE-2015-0240)) を追加
  ベンダ情報:Novell (SUSE-SU-2015:0353) を追加
  ベンダ情報:Novell (SUSE-SU-2015:0371) を追加
[2015年04月08日]
  影響を受けるシステム:ベンダ情報の追加に伴い内容を更新
  ベンダ情報:ヒューレット・パッカード (HPSBGN03288 SSRT101979) を追加
  ベンダ情報:オラクル (Oracle Solaris Third Party Bulletin - January 2015) を追加
  参考情報:関連文書 (MGASA-2015-0084) を追加